Index: trunk/info/info/alkis/alkisauszug.css
===================================================================
--- trunk/info/info/alkis/alkisauszug.css	(revision 306)
+++ trunk/info/info/alkis/alkisauszug.css	(revision 308)
@@ -10,5 +10,5 @@
 	2011-11-16	FS-Historie
 	2013-06-27	p.recht
-	2014-01-23	strasse, hsnr
+	2014-01-27	strasse, hsnr, Print-Balken
 */
 body	{background-color: #FDFFFD;}
@@ -16,16 +16,18 @@
 	font-size: 10pt; color: #000033; margin-top: 2pt; margin-bottom: 2pt;}
 
-/* ** Banner im Kopf (Balken), Farbcode fuer Nachweis-Art ** */
-p.fsausk		{text-align: right; background: teal;	 color: silver;}	/* Uebersichts-Seite Flurstuecks-Auskunft */
-p.fskennz	{text-align: right; background: navy;	 color: silver;}	/* Flurstuecks-Nachweis */
-p.fsei		{text-align: right; background: olive;	 color: silver;}	/* Flurstuecks- und Eigentuemer-Nachweis */
-p.fshis		{text-align: right; background: gray;	 color: white;}		/* Flurstuecks-Historie */
-p.gbkennz	{text-align: right; background: green;	 color: silver;}	/* Bestandsnachweis */
-p.nakennz	{text-align: right; background: maroon;  color: silver;}		/* Personen- und Adressdaten */
-p.geb		{text-align: right; background: yellow;  color: gray;}		/* Gebaeude zum FS */
-p.lage		{text-align: right; background: lime;    color: gray;}		/* Lage/Adresse zum FS */
-p.strasse	{text-align: right; background: limegreen; color: slategray;}	/* Strasse */
-p.recht		{text-align: right; background: #F0F8FF; color: gray;}		/* Baurecht, Bodenneuordnung */
+/* ** Banner im Kopf (farbiger Balken), Farbcode fuer Nachweis-Art ** */
+p.fsausk,p.fskennz,p.fsei,p.fshis,p.gbkennz,p.nakennz,p.geb,p.lage,p.strasse,p.recht {text-align: right;}
+p.fsausk	{background-color: teal; color: silver;}	/* Uebersichts-Seite Flurstuecks-Auskunft */
+p.fskennz,p.fsei{background-color: navy; color: silver;}	/* Flurstuecks-Nachweis */
+/* p.fsei	{background-color: olive; color: silver;}*/	/* Flurstuecks- und Eigentuemer-Nachweis */
+p.fshis		{background-color: gray; color: white;}		/* Flurstuecks-Historie */
+p.gbkennz	{background-color: green; color: silver;}	/* Bestandsnachweis */
+p.nakennz	{background-color: maroon; color: silver;}	/* Personen- und Adressdaten */
+p.geb		{background-color: yellow; color: gray;}	/* Gebaeude zum FS */
+p.lage		{background-color: lime; color: gray;}		/* Lage/Adresse zum FS */
+p.strasse	{background-color: limegreen; color: slategray;}	/* Strasse */
+p.recht		{background-color: #F0F8FF; color: gray;}	/* Baurecht, Bodenneuordnung */
 
+/* Format nach Inhalt */
 p.bezieh	{text-align: right; background: olive;	color: silver;} /* Beziehungen */
 p.fsd		{margin-left: 170px;}	/* Flst-Flaeche */
@@ -52,5 +54,5 @@
 span.gmlid	{font-style: italic; font-size: 7pt; text-align: right;}
 
-/* komplette Adresse im Rahmen*/
+/* komplette Adresse im Rahmen */
 div.adr {border-left-width: 0px; border-right-width: 0px; border-bottom-width: 2px; border-top-width: 2px; 
 	width: 60%; font-size: 12pt; border-color: #a2d545; border-style: solid; 
@@ -58,7 +60,7 @@
 	overflow: auto; padding: 6px; background: #e4f7dd;}
 
-span.key 		{color: gray; font-style: italic;} /* Schluesselwert vor Text, Wert zurueck nehmen */
-span.wichtig	{color: #BB0000; font-weight: bold;} /* Wert hervorheben */
-span.flae		{font-weight: bold;} /* FlÃ€chensume Flurst. */
+span.key 	{color: gray; font-style: italic;} /* Schluesselwert vor Text, Wert zurueck nehmen */
+span.wichtig{color: #BB0000; font-weight: bold;} /* Wert hervorheben */
+span.flae	{font-weight: bold;} /* FlÃ€chensumme Flurst. */
 
 /* ** T a b e l l e n ** */
@@ -127,5 +129,18 @@
 .buttonbereich	{font-size: 7pt; text-align: right;}
 .confbereich	{font-size: 7pt; background-color: #EFFDFF; width: 88%; position: relative; left: 40px;}
+
+/* abweichender Druck */
 @media print {
 	body {width: 98%; background-color:white;}
+
+	/* Balken */
+	p.fskennz,p.fsei,p.fshis,p.gbkennz,p.nakennz,p.geb,p.lage,p.strasse,p.recht{text-align: right; color: black;}
+	p.fskennz,p.fsei{border-bottom: 2px solid navy; border-top: 2px solid navy;}
+	p.fshis		{border-bottom: 2px solid gray; border-top: 2px solid gray;}
+	p.gbkennz	{border-bottom: 2px solid green; border-top: 2px solid green;}
+	p.nakennz	{border-bottom: 2px solid maroon; border-top: 2px solid maroon;}
+	p.geb		{border-bottom: 2px solid yellow; border-top: 2px solid yellow;}
+	p.lage		{border-bottom: 2px solid lime; border-top: 2px solid lime;}
+	p.strasse	{border-bottom: 2px solid limegreen; border-top: 2px solid limegreen;}
+	p.recht		{border-bottom: 2px solid #F0F8FF; border-top: 2px solid #F0F8FF;}
 }
Index: trunk/info/info/alkis/alkisexport.php
===================================================================
--- trunk/info/info/alkis/alkisexport.php	(revision 306)
+++ trunk/info/info/alkis/alkisexport.php	(revision 308)
@@ -12,4 +12,5 @@
 	2014-01-21 Der View liefert "Rechtsgemeinschaft" nun als Feld in allen Personen-Sätzen 
 			eines GB-Blattes statt als eigenen "Satz ohne Person".
+	2014-01-27 Erweiterung auf Filter "strasse" ("gml_id" aus "ax_lagebezeichnungkatalogeintrag")
 */
 
@@ -27,5 +28,5 @@
 	if (!$res) {
 		echo "Fehler bei Lagebezeichnung \n";
-		echo $sql."\n";
+		//echo $sql."\n";
 	}
 	$j=0;
@@ -64,15 +65,21 @@
 // Der Parameter "Tabellentyp" bestimmt den Namen des Filter-Feldes aus dem View "exp_csv".
 switch ($tabtyp) { // zulaessige Werte fuer &tabtyp=
-	case 'flurstueck': $filter = "fsgml"; break;
-	case 'grundbuch':  $filter = "gbgml"; break;
-	case 'person':     $filter = "psgml"; break;
+	case 'flurstueck': $filter = "fsgml"; break; // ax_flurstueck.gml_id
+	case 'grundbuch':  $filter = "gbgml"; break; // ax_buchungsblatt.gml_id
+	case 'person':     $filter = "psgml"; break; // ax_person.gml_id
+	case 'strasse':    $filter = "stgml"; break; // ax_lagebezeichnungkatalogeintrag.gml_id = Straße-GML-ID
 	default: exit("Falscher Parameter '".$tabtyp."'"); break;
 }
 
-// Daten aus gespeichertem View
-$sql ="SELECT * FROM exp_csv WHERE ".$filter." = $1 ";
-$v = array($gmlid);
-$res = pg_prepare("", $sql);
-$res = pg_execute("", $v);
+// Daten aus gespeichertem View, zusaetzlich Filter: "feld"='wert' mitgeben
+if ($tabtyp == 'strasse') { // Sonderversion
+	$sql="SELECT * FROM exp_csv_str WHERE ".$filter." = $1 ";
+} else {
+	$sql="SELECT * FROM exp_csv WHERE ".$filter." = $1 ";
+}
+
+$v=array($gmlid);
+$res=pg_prepare("", $sql);
+$res=pg_execute("", $v);
 if (!$res) {exit("Fehler bei Datenbankabfrage");}
 $i=1; // Kopfzeile zählt mit
@@ -112,13 +119,15 @@
 
 	// Namensnummer
-	$nam_lfd="'".kurz_namnr($row["nam_lfd"])."'"; // In Hochkomma, sonst wie Datum dargestellt.
+	$nam_lfd="'".kurz_namnr($row["nam_lfd"])."'"; // In Hochkomma, wird sonst wie Datum dargestellt.
 	$nam_ant=$row["nam_ant"];
 	$nam_adr=$row["nam_adr"]; // Art der Rechtsgemeischaft (Schlüssel)
-	if ($nam_adr == '') {     // keine Rechtsgemeinsachft
+
+	if ($nam_adr == '') {     // keine Rechtsgemeinschaft
+		$rechtsg='';
 		if ($nam_ant == '') { // und kein Bruch-Anteil
 			$nam_ant=1; // dann ganzer Anteil
 		}
 	} else {
-		$rechnen=false; // bei Rechtsgemeinschaft manuell interpretieren
+		$rechnen=false; // bei Rechtsgemeinschaft die Anteile manuell interpretieren
 		if ($nam_adr == 9999) { // sonstiges
 			$rechtsg=$row["nam_bes"]; // Beschrieb der Rechtsgemeinschaft
@@ -129,19 +138,12 @@
 
 	// Person
+	$vnam=$row["vorname"];
 	$nana=$row["nachnameoderfirma"];
-	if ($nana == "") {
-		$name="";
-	} else {
-		$name=anrede($row["anrede"]);
-		$namteil=$row["namensbestandteil"];
-		if ($namteil != "") { // von und zu
-			$name.=" ".$namteil;
-		} 
-		$name.=" ".$nana;
-		$vnam=$row["vorname"];
-		if ($vnam != "") { // keine Firma
-			$name.=", ".$vnam;
-		}
-	}
+	$namteil=$row["namensbestandteil"];
+	$name=anrede($row["anrede"]);
+	if ($name != "") {$name.=" ";} // Trenner
+	if ($namteil != "") {$name.=$namteil." ";} // von und zu
+	$name.=$nana;
+	if ($vnam != "") {$name.=", ".$vnam;} // Vorname nach hinten
 	$gebdat=$row["geburtsdatum"];
 
Index: trunk/info/info/alkis/alkisstrasse.php
===================================================================
--- trunk/info/info/alkis/alkisstrasse.php	(revision 306)
+++ trunk/info/info/alkis/alkisstrasse.php	(revision 308)
@@ -4,11 +4,9 @@
 	ALKIS-Buchauskunft, Kommunales Rechenzentrum Minden-Ravensberg/Lippe (Lemgo).
 	Alle FlurstÃŒcke an einer Strasse anzeigen, egal ob "mit" oder "ohne" Hausnummer
-	Parameter: gml_id aus der Tabelle ax_lagebezeichnungkatalogeintrag
+	Parameter: "gml_id" aus der Tabelle "ax_lagebezeichnungkatalogeintrag"
 
 	Version:
 	2014-01-23  Neu
-
-	ToDo:
-		auch alkisexport.php als CSV-Export auf alle FS an Strasse erweitern. Dann unten ent-kommentieren.
+	2014-01-24  CSV-Export
 */
 session_start();
@@ -35,5 +33,5 @@
 	<script type="text/javascript">
 		function ALKISexport() {
-			window.open(<?php echo "'alkisexport.php?gkz=".$gkz."&tabtyp=lage&gmlid=".$gmlid."'"; ?>);
+			window.open(<?php echo "'alkisexport.php?gkz=".$gkz."&tabtyp=strasse&gmlid=".$gmlid."'"; ?>);
 		}
 	</script>
@@ -135,7 +133,7 @@
 $sql="SELECT g.gemarkungsnummer, g.bezeichnung, f.gml_id, f.flurnummer, f.zaehler, f.nenner, f.amtlicheflaeche, duett.lgml, duett.hausnummer FROM ax_flurstueck f ";
 $sql.="JOIN ax_gemarkung g ON f.land=g.land AND f.gemarkungsnummer=g.gemarkungsnummer ";
-$sql.="JOIN (SELECT v1.beziehung_von AS fsgml, lm.gml_id AS lgml, lm.land, lm.regierungsbezirk ,lm.kreis, lm.gemeinde, lm.lage, lm.hausnummer ";
+$sql.="JOIN (SELECT v1.beziehung_von AS fsgml, lm.gml_id AS lgml, lm.land, lm.regierungsbezirk, lm.kreis, lm.gemeinde, lm.lage, lm.hausnummer ";
 $sql.="FROM alkis_beziehungen v1 JOIN ax_lagebezeichnungmithausnummer lm ON lm.gml_id=v1.beziehung_zu AND v1.beziehungsart= 'weistAuf' ";
-$sql.="UNION SELECT v2.beziehung_von AS fsgml, '' AS lgml, lo.land, lo.regierungsbezirk ,lo.kreis, lo.gemeinde, lo.lage, '' AS hausnummer ";
+$sql.="UNION SELECT v2.beziehung_von AS fsgml, '' AS lgml, lo.land, lo.regierungsbezirk, lo.kreis, lo.gemeinde, lo.lage, '' AS hausnummer ";
 $sql.="FROM alkis_beziehungen v2 JOIN ax_lagebezeichnungohnehausnummer lo ON lo.gml_id=v2.beziehung_zu AND v2.beziehungsart= 'zeigtAuf' ";
 $sql.=") AS duett ON f.gml_id=duett.fsgml "; 
@@ -204,5 +202,5 @@
 		<a title="zur&uuml;ck" href='javascript:history.back()'><img src="ico/zurueck.ico" width="16" height="16" alt="zur&uuml;ck"></a>&nbsp;
 		<a title="Drucken" href='javascript:window.print()'><img src="ico/print.ico" width="16" height="16" alt="Drucken"></a>&nbsp;
-<!--	<a title="Export als CSV" href='javascript:ALKISexport()'><img src="ico/download.ico" width="16" height="16" alt="Export" /></a>&nbsp; -->
+		<a title="Export als CSV" href='javascript:ALKISexport()'><img src="ico/download.ico" width="16" height="16" alt="Export" /></a>&nbsp;
 	</div>
 </form>
